rp-pppoe (4.0-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 09 Feb 2026 23:46:04 +0100

rp-pppoe (4.0-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jun 2024 08:01:10 +0200

rp-pppoe (4.0-1) unstable; urgency=medium

  * The "Ella, elle l'a" release
  * d/gbp.conf: Switch to DEP-14 for the git repo layout
  * Update debian/watch to match upstream changes
  * Update upstream signing key
  * d/gbp.conf: Enforce importing upstream signatures
  * New upstream version 4.0 (Closes: #1071361)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 21 May 2024 14:48:43 +0200

rp-pppoe (3.15-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.
    - debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to get
      kernel PPPoE support.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Jan 2023 15:02:49 -0500

rp-pppoe (3.15-2) unstable; urgency=medium

  * Update upstream contact email address
  * Bump Standards-Version (no changes needed)
  * Update d/copyright
  * Fix lintian override
  * Update hardening flag according to wiki
  * Add hardening build flags to Makefile
  * Remove superfluous lintian override

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 18 Jan 2023 13:24:39 +0100

rp-pppoe (3.15-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.
    - debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to get
      kernel PPPoE support.
  * Drop 11_reorder-includes.patch; no longer needed.
  * Refresh 08_delegate-ip-addresses.patch.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Aug 2022 22:46:04 -0400

rp-pppoe (3.15-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to new website.
  * Remove 04_ignore_broadcasted_pado_packets.patch (applied upstream).
  * Remove 07_pppoestart-echo.patch (applied upstream).
  * Bump Standards-Version.
  * Bump debhelper-compat.
  * Take over maintainership.

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Jan 2022 21:43:51 +0100

rp-pppoe (3.12-1.2ubuntu3) jammy; urgency=medium

  * No change rebuild for ppp 2.4.9-1+1ubuntu3

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 28 Feb 2022 11:26:17 +0000

rp-pppoe (3.12-1.2ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:08:19 +0000

rp-pppoe (3.12-1.2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add Build-Depend on ppp-dev.
    - debian/rules: Specify "--enable-plugin" to get kernel PPPoE support.
    - debian/patches/08_delegate-ip-addresses.patch: Delegate the allocation of
      IP addresses to pppd.
    - debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin path so
      that pppoe-server uses ppp's plugin directory.
    - debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to get
      kernel PPPoE support.
  * debian/patches/11_reorder-includes.patch: Reorder includes in src/rpppoe.h
    to fix FTBFS.
  * Refresh Ubuntu patches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Jan 2019 22:02:09 -0500

rp-pppoe (3.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/07_pppoestart-echo.patch
    - fixes reproducible build on merged-usr vs non-merged

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 16:34:59 +0100

rp-pppoe (3.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Run dh_fixperms during build to make build reproducible
    (Closes: #836837).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Dec 2016 10:09:52 +0000

rp-pppoe (3.12-1) unstable; urgency=medium

  * New upstream release. Closes: #602861.
  * Bump up Standards-Version to 3.9.8.
  * Bump up Debhelper compatibility level to 9. Closes: #817658, #816476.
  * Change source format to 3.0 (quilt).
  * debian/copyright: Fix encoding to UTF-8
  * debian/rules: use dh_prep instead of dh_clean -k
  * lintian overrides for two files:
    - /usr/bin/pppoe is shipped with suid
    - etc/ppp/peers/dsl-provider contains sensitive credentials
  * Typo fixes.
  * Don't ship pppoe-setup as it it's not needed. Closes: #426621, #747144.
  * Add debian/watch file with signature verification.
  * Add .gitignore to the git repo.
  * Remove confusing documentation that was accidentally re-introduced between
    3.5 and 3.8. Closes: #426621.
  * Add hardening flags to debian/rules.

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 22 Jun 2016 16:53:15 +0200

rp-pppoe (3.11-0ubuntu1) utopic; urgency=low

  [ Whoopie ]
  * New upstream release (LP: #705880).
  * debian/control: Add Build-Depend on ppp-dev.
  * debian/rules: Specify "--enable-plugin" to get kernel
    PPPoE support.
  * debian/patches/08_delegate-ip-addresses.patch: Delegate the 
    allocation of IP addresses to pppd (LP: #705872).
  * debian/patches/09_remove-ppp-plugin-path.patch: Remove plugin
    path so that pppoe-server uses ppp's plugin directory.
  * debian/patches/10_fix-in6.h-include.patch: Fix in6.h include to
    get kernel PPPoE support.

  [ Łukasz 'sil2100' Zemczak ]
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/copyright: use UTF-8 for the copyright sign
  * debian/control: bump the standards version

 -- Whoopie <whoopie79@gmx.net>  Tue, 10 Jun 2014 22:29:59 +0200

rp-pppoe (3.8-3ubuntu1) oneiric; urgency=low

  * Tweak and apply patch by Igor A Tarasov to resolve pppoe-server not
    honoring pppd's configured IP addresses. This patch adds a '-D'
    (delegate) option, similar to pptpd's, that causes pppoe-server to
    skip adding its own local and remote IP addresses to the pppd
    command line, thereby allowing pppd to perform address assignment
    properly. Thanks, Igor! (LP: #705872)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 22 Jul 2011 12:34:27 -0400

rp-pppoe (3.8-3) unstable; urgency=low

  [ Norman Rasmussen ]
  * README.Debian updated to use the new method of starting ppp at boot
    time. Closes: #274341

  [ Florian Weimer ]
  * Include source-address patch from Sven Geggus. Closes: #419677

  [ Andreas Barth ]
  * Merge patches & upload.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 17 Apr 2007 12:21:37 +0000

rp-pppoe (3.8-2) unstable; urgency=low

  * Adopt package.
  * Cleanup: use orig.tar.gz, remove odd Makefiles and obsolete, sync with
    upstream, update debian/copyright. Thanks to Florian Weimar.
  * Set CONNECT_TIMEOUT=0.
    Closes: #159803, #222746, #251261, #320676, #222746, #230707.
  * Ignore broadcasted PADO-packets instead of packets from non-unique source
    address. Thanks to Stephane Louise <luigi@nerim.net> for detection
    and the patch. Closes: #293811

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 10 Mar 2007 17:36:24 +0000

rp-pppoe (3.8-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Hardcode path to pppd so that pppoe works even when there is no
    pppd installed in the compilation chroot. Closes: #380584

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 27 Nov 2006 12:20:15 +0100

rp-pppoe (3.8-1) unstable; urgency=low

  * New upstream release
  * Upstream incorporated different version of security patch for -D and -p
    that drops priviledges for these options. Dropping Debian patch.

 -- Christian Hudon <chrish@debian.org>  Tue, 25 Apr 2006 20:53:50 -0400

rp-pppoe (3.5-4) unstable; urgency=high

  * Added patch by Max Vozeler <max@hinterhof.net> to ignore -D and -p
    when pppoe is not running as root to prevent a potential root
    compromise by users in group dip when pppoe is running setuid root.
    [src/pppoe.c, CAN-2004-0564] Note that group dip is empty by default
    on Debian installs.

 -- Christian Hudon <chrish@debian.org>  Wed, 29 Sep 2004 22:08:20 -0400

rp-pppoe (3.5-3) unstable; urgency=medium

  * Oops! pppoe should be installed setuid root, not setgid dip to close
  bugs 102050 and 172376! Still installed without the execute bit for other, so
  safe from a security standpoint, since group dip is empty by default.
  * Remove debian/conffiles since debconf 4 creates it.

 -- Christian Hudon <chrish@debian.org>  Tue, 16 Sep 2003 15:06:35 -0400

rp-pppoe (3.5-2) unstable; urgency=low

  * Release based on work done by Marco d'Itri.
  * Ship /usr/sbin/pppoe sgid dip, but not executable by other.
  (Closes: #102050, #172376)
  * Set $PATH in ppp_on_boot.dsl. (Closes: #133580, #138878)
  * Add to dsl-provider the options noaccomp and default-asyncmap,
    which are required by the RFC. README.Debian updated.
    (Closes: #185362, #171549)
  * Add to dsl-provider the option usepeerdns, as pppd will try to use
    it by default. README.Debian updated.
  * Remove from ppp_on_boot.dsl the call to ifconfig, debian pppoe can
    set up the interface since 3.2-1. README.Debian updated.
  * Add a note to README.Debian about the kernel options needed by pppoe.
    (Closes: #159519)
  * Stop installing KERNEL-MODE-PPPOE, the ppp package provides this.
  * Remove .pppoe.prcs_aux too in the clean target.

 -- Christian Hudon <chrish@debian.org>  Tue, 16 Sep 2003 14:24:51 -0400

rp-pppoe (3.5-1) unstable; urgency=low

  * New upstream release.
  * Remove prcs merge log (pppoe.log) during debian/rules clean.
  * Add note about default-asyncmap to README.Debian, pending further
    investigation.
  * Add note to README.Debian about T-Online users needing to quote the
    username in the dsl-provider file. (Closes: #132996)

 -- Christian Hudon <chrish@debian.org>  Mon, 24 Mar 2003 20:22:00 -0500

rp-pppoe (3.3-1.2) unstable; urgency=low

  * NMU during bug squashing party.
  * Applied patch from Thomas Antepoth to src/if.c (closes: #124175),
    see http://www.voy.com/41165/2/1244.html

 -- Josselin Mouette <joss@debian.org>  Sun,  1 Sep 2002 11:04:12 +0200

rp-pppoe (3.3-1.1) unstable; urgency=low

  * Non Maintainer Upload.
  * mark /etc/ppp/ppp_on_boot.dsl as conffile (closes: #132117)
  * use full path in /etc/ppp/peers/dsl-provider ppp_on_boot.dsl
    (closes: #111551)
  * small fix so can build on potato (closes: #117316)
  * remove references to adsl-* in manpages and point user to
    /usr/share/doc/pppoe/README.Debian (closes: #71840)

 -- David Kimdon <dwhedon@debian.org>  Sun,  3 Feb 2002 16:44:55 -0800

rp-pppoe (3.3-1) unstable; urgency=low

  * New upstream release. (Closes: #113885)
  * Default to "-m 1452" in dsl-provider. (Closes: #113300)

 -- Christian Hudon <chrish@debian.org>  Thu,  1 Nov 2001 15:28:10 -0500

rp-pppoe (3.2-1) unstable; urgency=low

  * New upstream release.
  * Replaced wrapper by patch from Eduard Bloch that makes pppoe bring
    the interface up if it wasn't up. (Closes: #106970)
  * Bugs fixed in this or a previous release:
    closes: #94540, #83918, #70834, #72065, #80137, #86226, #79319, #75443, #67863, #79529, #88499, #91330.

 -- Christian Hudon <chrish@debian.org>  Mon, 20 Aug 2001 19:26:45 -0400

rp-pppoe (3.0-4) unstable; urgency=high

  * Remove -arp switch from ppp_on_boot and pppoe wrapper. This breaks
    networks were the DSL modem is connected to a hub and not directly to
    a network interface. (Closes: #100833)

 -- Christian Hudon <chrish@debian.org>  Thu, 14 Jun 2001 13:52:42 -0400

rp-pppoe (3.0-3) unstable; urgency=low

  * Added instructions on how to set up pppoe to work with pon, for people
    that are billed by their DSL provider for minutes connected. (Which is
    somewhat odd...)
  * Wrapper around pppoe to automatically bring up the interface that will
    be used by pppoe. Needed for pon support because /etc/network/interfaces
    doesn't support bringing up an interface without assigning it an
    IP address, and pon doesn't support the execution of arbitrary
    commands before the execution of pppd. (Well, except for ppp_on_boot,
    which we don't want to use in this case.)
  * Also added instructions on how to use demand-dialing.
  * Corrected thinko in README.Debian file.

 -- Christian Hudon <chrish@debian.org>  Mon, 11 Jun 2001 15:44:47 -0400

rp-pppoe (3.0-2) unstable; urgency=low

  * New upstream release.
  * Rewrote and simplified installation instructions. (Next version will
    hopefully also offer a debconf install.)
  * Added user-contributed tips section to the README.Debian file.
  * Modifications and improvements from changes suggested by Eduard Bloch.

 -- Christian Hudon <chrish@debian.org>  Wed, 23 May 2001 00:41:29 -0400

rp-pppoe (2.8-0.1) unstable; urgency=low

  * NMU.
  * New upstream version. (Closes: #83918, #72065, #80137)
  * Changed debian/rules to install everything, then remove the
    unwanted scripts.
  * Corrected Source-Depends to Build-Depends, and added debhelper and
    ppp.

 -- Daniel Schepler <schepler@debian.org>  Sat, 17 Mar 2001 22:21:59 -0800

rp-pppoe (1.7-1) unstable; urgency=low

  * Updated to latest upstream release.

 -- Christian Hudon <chrish@debian.org>  Fri, 21 Apr 2000 15:14:57 -0400

rp-pppoe (1.0-1) unstable; urgency=low

  * Upgraded to new upstream release.
  * Added copyright statement in copyright file.

 -- Christian Hudon <chrish@debian.org>  Wed, 12 Jan 2000 20:28:01 -0500

rp-pppoe (0.99b-1) unstable; urgency=low

  * Initial Debian release.

 -- Christian Hudon <chrish@debian.org>  Thu, 30 Dec 1999 21:07:44 -0500
